View Issue Details

IDProjectCategoryView StatusLast Update
0000820XdebugUsage problems (Wrong Results)public2014-02-27 19:30
ReporterdevarniAssigned Toderick 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionnot fixable 
Product Version2.2.0RC2 
Target VersionFixed in Version 
Summary0000820: Closed Xdebug session blocks brower to reload page (Cockie will not be deleted)
DescriptionIf the debug session is closed, the browser XDEBUG_SESSION cockie is always existent and prevent to load the page.

If the cockie is manually deleted, it's working.
Steps To ReproduceDebug session (here with PHPStorm 4) and Firefox.
Stop the debug session, load the page from a new tab... Page will try to load for ever.
Remove the debug cockie in the Firefox setting, try to load the page again: works.
Additional InformationWebserver runs in a virtual machine (Virtualbox).

settings:

xdebug.remote_enable=On
xdebug.remote_host=10.0.2.2
xdebug.remote_port=9000
xdebug.remote_handler=dbgp
TagsNo tags attached.
Operating SystemLinux
PHP Version5.4.0

Activities

derick

2012-04-27 10:10

administrator   ~0002100

I don't know what you mean by "closed debug session". Xdebug will continue to debug until you turn it of by not sending the cookie, or using XDEBUG_SESSION_STOP=1 as GET parameter. I don't see a bug here?

devarni

2012-04-27 10:25

reporter   ~0002104

Sorry, I have no idea about the internal working of XDebug or the IDE, I'm not the developer of this tools ;) "Closed debug session" means for me stop of debugging in the IDE.

XDEBUG_SESSION_STOP=1 should stop it? I will report this to to Jetbrains if this could be a bug of the IDE instead of XDebug.

derick

2014-02-27 19:30

administrator   ~0002701

Sounds like Xdebug works as it should be, if there is an issue, it's probably with your IDE.

Issue History

Date Modified Username Field Change
2012-04-26 07:59 devarni New Issue
2012-04-27 10:10 derick Note Added: 0002100
2012-04-27 10:10 derick Assigned To => derick
2012-04-27 10:10 derick Status new => feedback
2012-04-27 10:25 devarni Note Added: 0002104
2012-04-27 10:25 devarni Status feedback => assigned
2014-02-27 19:30 derick Note Added: 0002701
2014-02-27 19:30 derick Status assigned => resolved
2014-02-27 19:30 derick Resolution open => not fixable
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)